$! Title:	MAKE-VMS.COM
$! Author:	Shawn A. Clifford	<sac@ufl.edu>
$! Date:	10-Mar-1995
$! Purpose:	Build the RC_MOSAIC program and the accompanying RC_MOSAIC-CGI
$!		program that provides a CGI script interface to RC_MOSAIC.
$!		These programs require the Ohio State DECthreaded httpd server
$!		for VMS, available via ftp://osu.edu/ and Bjorn Nillson's port
$!		of NCSA Mosaic (currently version 2.4-2) available via
$!			ftp://ftp.nbi.dk/pub/nilsson
$!		   or	ftp://ftp.wku.edu/vms/unsupported/mosaic
$!
$ set noon
$ w := write sys$output
$ gosub check_files
$ if ('$status' .eq. 3) then exit
$!
$ @make-rc_mosaic-cgi.com
$ @make-rc_mosaic.com
$!
$ w ""
$ w ""
$ w ""
$ inquire/nopun ask "Do you wish to install the CGI script?  "
$ if (ask)
$ then
$	where := WWW_ROOT:[BIN]
$	inqure/nopun dummy "CGI Binaries Directory [ ''where' ]:  "
$	if (dummy .nes. "") then where := 'dummy'
$	w ""
$	set verify
$!	Copy the CGI script to the OSU server's CGI binaries directory
$	COPY/OVERWRITE/PROTECTION=W:RE RC_MOSAIC-CGI.EXE 'where'
$!	'f$verify(0)
$ endif
$!
$ w ""
$ w ""
$ w "You should now copy the RC_MOSAIC.EXE to a public directory."
$ w "To execute, either $ RUN RC_MOSAIC, or to pass a URL on the command line,"
$ w "define RC_MOSAIC as a foreign command verb."
$ w ""
$ w "	Example:   $ RC*_MOSAIC :== MCR disk:[dir]RC_MOSAIC.EXE"
$ w "		or $ RC*_MOSAIC :== $disk:[dir]RC_MOSAIC.EXE"
$ w ""
$ w "	Then:      $ RC [RC_MANAGER_URL [RC_DISPLAY_URL]]
$ w "			where the URLs are optional"
$ w ""
$!
$ exit $status
$!
$ check_files:
$	cgilib      := 'f$search("CGILIB.C")
$	cgilib_h    := 'f$search("CGILIB.H")
$	scriptlib   := 'f$search("SCRIPTLIB.C")
$	scriptlib_h := 'f$search("SCRIPTLIB.H")
$	script_code := 'f$search("WWW_ROOT:[SCRIPT_CODE]*.*")
$	if ( (cgilib .eqs. "") .or. (cgilib_h .eqs. "") .or.	-
		(scriptlib .eqs. "") .or. (scriptlib_h .eqs. "") )
$	then
$	   w ""
$	   w "This software requires the files CGILIB.{C,H} and SCRIPTLIB.{C,H}"
$	   w "that come with the Ohio State VMS HTTPD Server."
$	   w ""
$!
$	   if (script_code .nes. "")
$	   then
$		w "Attempting to copy the files from WWW_ROOT:[SCRIPT_CODE]"
$		set on
$		set verify
$		COPY/OVERWRITE WWW_ROOT:[SCRIPT_CODE]CGILIB.C, CGILIB.H *
$		COPY/OVERWRITE WWW_ROOT:[SCRIPT_CODE]SCRIPTLIB.C, SCRIPTLIB.H *
$!		'f$verify(0)
$		set noon
$		w ""
$		return 1
$	   else
$		w "Please retrieve the OSU HTTPD package and try again."
$		w ""
$		return 3
$	   endif
$	endif
$!
$	return 1
